List Transactions

Query Parameters
  • limit
    Type: integer · Limit
    min:  
    1
    max:  
    100

    Integer numbers.

  • after
    Type: string · After nullable
  • before
    Type: string · Before nullable
  • customer_id
    Type: string · Customer IdFormat: uuid nullable
  • customer_name
    Type: string · Customer Name nullable
  • currency
    Type: string · Currency nullable
  • start_date
    Type: string · Start DateFormat: date-time nullable

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • end_date
    Type: string · End DateFormat: date-time nullable

    the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

  • invoice_number
    Type: string · Invoice Number nullable
  • transaction_type
    Type: array string[] | null · Transaction Typeenum nullable
    values
    • sales_order
    • invoice
    • estimate
    • refund
    • Type: string · enum
      values
      • sales_order
      • invoice
      • estimate
      • refund
  • taxable_jurisdiction_id
    Type: string · Taxable Jurisdiction IdFormat: uuid nullable
Headers
  • X-Tenant-Id
    Type: string · X-Tenant-Id nullable
Responses
  • application/json
  • application/json
Request Example for get/v1/transactions/
curl 'https://api.sandbox.vatcompliance.com/v1/transactions/?limit=20&after=&before=&customer_id=&customer_name=&currency=&start_date=&end_date=&invoice_number=&transaction_type=sales_order&taxable_jurisdiction_id=' \
  --header 'X-Tenant-Id: ' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "external_created_at": "2024-01-01T12:00:00Z",
      "external_updated_at": "2024-01-01T12:00:00Z",
      "created_at": "2024-01-01T12:00:00Z",
      "updated_at": "2024-01-01T12:00:00Z",
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "tenant_id": "550e8400-e29b-41d4-a716-446655440000",
      "external_id": "INV-2024-00456",
      "source": "api",
      "sub_source": "store 1",
      "transaction_date": "2024-06-15T14:30:00Z",
      "document_name": "INV-2024-00456",
      "transaction_type": "invoice",
      "transaction_status": "active",
      "linked_transaction": "INV-2024-00123",
      "items": [
        {
          "unit_price": "49.99",
          "quantity": "2.0",
          "total_price": "99.98",
          "description": "Wireless Bluetooth headphones, noise-cancelling",
          "name": "Bluetooth Headphones",
          "tax_code": "ELECTRONICS",
          "manual_sales_tax_rate": "0.082500",
          "discount": "5.00",
          "total_price_after_discount": "94.98",
          "relative_transaction_discount": "0.00",
          "tangible_category": "tangible",
          "taxable_category": "taxable",
          "jurisdiction_tax_breakdown": {
            "additionalProperty": {
              "additionalProperty": {
                "jurisdiction_type": "string",
                "jurisdiction_name": "[Max Depth Exceeded]",
                "reporting_code": "[Max Depth Exceeded]",
                "tax_type": "[Max Depth Exceeded]",
                "tax_rate": "string",
                "taxable_amount": "string",
                "tax_due": "string",
                "gross_amount": "string",
                "non_taxable_amount": "string",
                "filing_taxable_jurisdiction_id": "[Max Depth Exceeded]",
                "transaction_type_id": "[Max Depth Exceeded]",
                "transaction_type_rule_id": "[Max Depth Exceeded]"
              }
            }
          },
          "taxability_reason": "standard_rated",
          "tax": {
            "total_tax": "4.13",
            "effective_tax_rate": "0.082500"
          },
          "tax_adjustments": [
            "string"
          ],
          "is_exempt": false,
          "exemption_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "exemption_reason": "resale_certificate"
        }
      ],
      "shipping_fee": {
        "manual_sales_tax_rate": "0.082500",
        "total_price": "9.99",
        "tax_code": "SHIPPING",
        "total_price_after_discount": "9.99",
        "taxable_category": "taxable",
        "tangible_category": "tangible",
        "jurisdiction_tax_breakdown": {
          "additionalProperty": {
            "additionalProperty": {
              "jurisdiction_type": "string",
              "jurisdiction_name": "string",
              "reporting_code": "string",
              "tax_type": "string",
              "tax_rate": "string",
              "taxable_amount": "string",
              "tax_due": "string",
              "gross_amount": "string",
              "non_taxable_amount": "string",
              "filing_taxable_jurisdiction_id": "123e4567-e89b-12d3-a456-426614174000",
              "transaction_type_id": "123e4567-e89b-12d3-a456-426614174000",
              "transaction_type_rule_id": "123e4567-e89b-12d3-a456-426614174000"
            }
          }
        },
        "taxability_reason": "standard_rated",
        "tax": {
          "total_tax": "4.13",
          "effective_tax_rate": "0.082500"
        }
      },
      "is_tax_inclusive": false,
      "addresses": {
        "billing": {
          "country": "US",
          "state": "CA",
          "city": "Los Angeles",
          "county": "Los Angeles",
          "street": "350 Fifth Avenue",
          "zip": "90012",
          "is_partial": false
        },
        "shipping": {
          "country": "US",
          "state": "CA",
          "city": "Los Angeles",
          "county": "Los Angeles",
          "street": "350 Fifth Avenue",
          "zip": "90012",
          "is_partial": false,
          "matched_address": {
            "address": {
              "country": "US",
              "state": "CA",
              "city": "Los Angeles",
              "county": "Los Angeles",
              "street": "350 Fifth Avenue",
              "zip": "90012",
              "is_partial": false
            },
            "latitude": 34.0522,
            "longitude": -118.2437,
            "confidence": 0.95,
            "match_level": "street",
            "address_corrected": true,
            "low_confidence_warning": true
          }
        },
        "shipping_from": {
          "country": "US",
          "state": "CA",
          "city": "Los Angeles",
          "county": "Los Angeles",
          "street": "350 Fifth Avenue",
          "zip": "90012",
          "is_partial": false
        },
        "supplier": {
          "country": "US",
          "state": "CA",
          "city": "Los Angeles",
          "county": "Los Angeles",
          "street": "350 Fifth Avenue",
          "zip": "90012",
          "is_partial": false
        }
      },
      "customer_details": {
        "customer_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "customer_external_id": "customer-123",
        "customer_source": "api",
        "customer_sub_source": "store 1",
        "customer_type_override": "retail",
        "customer": {
          "external_created_at": "2024-01-01T12:00:00Z",
          "external_updated_at": "2024-01-01T12:00:00Z",
          "created_at": "2024-01-01T12:00:00Z",
          "updated_at": "2024-01-01T12:00:00Z",
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "external_id": "customer-123",
          "source": "netsuite",
          "sub_source": "store 1",
          "name": "Acme Corporation",
          "addresses": {
            "billing": {
              "country": "US",
              "state": "CA",
              "city": "Los Angeles",
              "county": "Los Angeles",
              "street": "350 Fifth Avenue",
              "zip": "90012",
              "is_partial": false
            },
            "shipping": {
              "country": "US",
              "state": "CA",
              "city": "Los Angeles",
              "county": "Los Angeles",
              "street": "350 Fifth Avenue",
              "zip": "90012",
              "is_partial": false
            }
          },
          "email": "billing@acme.com",
          "tax_number": "12-3456789",
          "customer_type": "retail",
          "comment": "Key account, net-30 terms",
          "customer_status": "active",
          "tenant_id": "550e8400-e29b-41d4-a716-446655440000",
          "b2b_or_b2c": "b2b"
        }
      },
      "amounts": {
        "total_items_amount": "94.98",
        "taxable_items_amount": "94.98",
        "tangible_items_amount": "94.98",
        "non_taxable_amount": "0.00",
        "final_transaction_amount": "104.97",
        "total_discount": "5.00",
        "transaction_level_discount": "0.00"
      },
      "tax": {
        "total_tax": "8.28",
        "effective_tax_rate": "0.082500"
      },
      "currency_details": {
        "currency": "USD",
        "manual_exchange_rate": "1.0856",
        "exchange_rate_info": {
          "total_items_amount_in_target_currency": "85.47",
          "transaction_sales_tax_in_target_currency": "7.05",
          "final_transaction_amount_in_target_currency": "92.52",
          "from_currency": "EUR",
          "to_currency": "USD",
          "fx_rate": "1.0856",
          "source": "complyt",
          "is_exchange_rate_estimated": false
        }
      },
      "override_threshold": false,
      "obligation_statuses": {
        "additionalProperty": "actual"
      },
      "transaction_jurisdiction_tax_breakdown": {
        "additionalProperty": {
          "additionalProperty": {
            "jurisdiction_type": "string",
            "jurisdiction_name": "string",
            "reporting_code": "string",
            "tax_type": "string",
            "tax_rate": "0.0825",
            "transaction_type_id": "123e4567-e89b-12d3-a456-426614174000",
            "tax_due": "99.99"
          }
        }
      }
    }
  ],
  "cursors": {
    "after": "string",
    "before": "string",
    "has_next": false,
    "has_previous": false,
    "limit": 20
  }
}